ur_rna.StructureEditor.services.drawing.export

## Class GraphicsOp.ClearOp

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.ActionOp
  - - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.ClearOp

- All Implemented Interfaces:
    GraphicsOp
  Enclosing interface:
    GraphicsOp

      public static class GraphicsOp.ClearOp
      extends GraphicsOp.ActionOp

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ur_rna.StructureEditor.services.drawing.export.GraphicsOp

      `GraphicsOp.ActionOp, GraphicsOp.BackgroundOp, GraphicsOp.ClearHintsOp, GraphicsOp.ClearOp, GraphicsOp.ClipOp, GraphicsOp.ColorOp, GraphicsOp.CompositeOp, GraphicsOp.ControlOp, GraphicsOp.DrawImageOp, GraphicsOp.DrawShapeOp, GraphicsOp.DrawStringOp, GraphicsOp.EndOp, GraphicsOp.FontOp, GraphicsOp.GroupEndOp, GraphicsOp.GroupStartOp, GraphicsOp.HintOp, GraphicsOp.InitOp, GraphicsOp.PaintOp, GraphicsOp.StateOp, GraphicsOp.StrokeOp, GraphicsOp.TransformOp, GraphicsOp.XorModeOp`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Rectangle` | `rc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClearOp(java.awt.Rectangle rc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Rectangle` | `getRect()`
    `void` | `replay(java.awt.Graphics2D g)`

    - ### Methods inherited from class ur_rna.StructureEditor.services.drawing.export.GraphicsOp.ActionOp

      `apply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rc

          private java.awt.Rectangle rc

  - ### Constructor Detail

    - #### ClearOp

          public ClearOp(java.awt.Rectangle rc)

  - ### Method Detail

    - #### getRect

          public java.awt.Rectangle getRect()

    - #### replay

          public void replay(java.awt.Graphics2D g)

      Specified by:
        `replay` in interface `GraphicsOp`
      Specified by:
        `replay` in class `GraphicsOp.ActionOp`